org.jboss.jca.core.tracer

## Class Tracer

- java.lang.Object
- - org.jboss.jca.core.tracer.Tracer

-     public class Tracer
      extends java.lang.Object

  The tracer class
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tracer()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `ccmUserTransaction(java.lang.String poolName, java.lang.Object mcp, java.lang.Object cl, java.lang.Object connection, java.lang.String key)` CCM user transaction
    `static void` | `clearConnection(java.lang.String poolName, java.lang.Object mcp, java.lang.Object cl, java.lang.Object connection)` Clear connection
    `static void` | `clearConnectionListener(java.lang.String poolName, java.lang.Object mcp, java.lang.Object cl)` Clear connection listener
    `static void` | `closeCCMConnection(java.lang.String poolName, java.lang.Object mcp, java.lang.Object cl, java.lang.Object connection, java.lang.String key)` Close CCM connection
    `static void` | `createConnectionListener(java.lang.String poolName, java.lang.Object mcp, java.lang.Object cl, java.lang.Object mc, boolean get, boolean prefill, boolean incrementer, java.lang.Throwable callstack)` Create connection listener
    `static void` | `createManagedConnectionPool(java.lang.String poolName, java.lang.Object mcp)` Create managed connection pool
    `static void` | `delistConnectionListener(java.lang.String poolName, java.lang.Object mcp, java.lang.Object cl, java.lang.String tx, boolean success, boolean rollbacked, boolean interleaving)` Delist connection listener
    `static void` | `destroyConnectionListener(java.lang.String poolName, java.lang.Object mcp, java.lang.Object cl, boolean ret, boolean idle, boolean invalid, boolean flush, boolean error, boolean prefill, boolean incrementer, java.lang.Throwable callstack)` Destroy connection listener
    `static void` | `destroyManagedConnectionPool(java.lang.String poolName, java.lang.Object mcp)` Destroy managed connection pool
    `static void` | `enlistConnectionListener(java.lang.String poolName, java.lang.Object mcp, java.lang.Object cl, java.lang.String tx, boolean success, boolean interleaving)` Enlist connection listener
    `static void` | `exception(java.lang.String poolName, java.lang.Object mcp, java.lang.Object cl, java.lang.Throwable exception)` Exception
    `static void` | `getConnection(java.lang.String poolName, java.lang.Object mcp, java.lang.Object cl, java.lang.Object connection)` Get connection
    `static void` | `getConnectionListener(java.lang.String poolName, java.lang.Object mcp, java.lang.Object cl, boolean pooled, boolean interleaving, java.lang.Throwable callstack)` Get connection listener
    `static boolean` | `isConfidential()` Is confidential
    `static boolean` | `isEnabled()` Is enabled
    `static boolean` | `isRecordCallstacks()` Should callstacks be recorded
    `static void` | `popCCMContext(java.lang.String key, java.lang.Throwable callstack)` Pop CCM context
    `static void` | `pushCCMContext(java.lang.String key, java.lang.Throwable callstack)` Push CCM context
    `static void` | `registerCCMConnection(java.lang.String poolName, java.lang.Object mcp, java.lang.Object cl, java.lang.Object connection, java.lang.String key)` Register CCM connection
    `static void` | `returnConnection(java.lang.String poolName, java.lang.Object mcp, java.lang.Object cl, java.lang.Object connection)` Return connection
    `static void` | `returnConnectionListener(java.lang.String poolName, java.lang.Object mcp, java.lang.Object cl, boolean kill, boolean interleaving, java.lang.Throwable callstack)` Return connection listener
    `static void` | `setEnabled(boolean v)` Set enabled
    `static void` | `unknownCCMConnection(java.lang.String poolName, java.lang.Object mcp, java.lang.Object cl, java.lang.Object connection, java.lang.String key)` Unknown CCM connection
    `static void` | `unregisterCCMConnection(java.lang.String poolName, java.lang.Object mcp, java.lang.Object cl, java.lang.Object connection, java.lang.String key)` Unregister CCM connection

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Tracer

          public Tracer()

  - ### Method Detail

    - #### isEnabled

          public static boolean isEnabled()

      Is enabled
      Returns:
        The value

    - #### setEnabled

          public static void setEnabled(boolean v)

      Set enabled
      Parameters:
        `v` - The value

    - #### isRecordCallstacks

          public static boolean isRecordCallstacks()

      Should callstacks be recorded
      Returns:
        The value

    - #### isConfidential

          public static boolean isConfidential()

      Is confidential
      Returns:
        The value

    - #### getConnectionListener

          public static void getConnectionListener(java.lang.String poolName,
                                                   java.lang.Object mcp,
                                                   java.lang.Object cl,
                                                   boolean pooled,
                                                   boolean interleaving,
                                                   java.lang.Throwable callstack)

      Get connection listener
      Parameters:
        `poolName` - The name of the pool
        `mcp` - The managed connection pool
        `cl` - The connection listener
        `pooled` - Is the connection pooled
        `interleaving` - Interleaving flag
        `callstack` - The call stack

    - #### returnConnectionListener

          public static void returnConnectionListener(java.lang.String poolName,
                                                      java.lang.Object mcp,
                                                      java.lang.Object cl,
                                                      boolean kill,
                                                      boolean interleaving,
                                                      java.lang.Throwable callstack)

      Return connection listener
      Parameters:
        `poolName` - The name of the pool
        `mcp` - The managed connection pool
        `cl` - The connection listener
        `kill` - Kill the listener
        `interleaving` - Interleaving flag
        `callstack` - The call stack

    - #### clearConnectionListener

          public static void clearConnectionListener(java.lang.String poolName,
                                                     java.lang.Object mcp,
                                                     java.lang.Object cl)

      Clear connection listener
      Parameters:
        `poolName` - The name of the pool
        `mcp` - The managed connection pool
        `cl` - The connection listener

    - #### enlistConnectionListener

          public static void enlistConnectionListener(java.lang.String poolName,
                                                      java.lang.Object mcp,
                                                      java.lang.Object cl,
                                                      java.lang.String tx,
                                                      boolean success,
                                                      boolean interleaving)

      Enlist connection listener
      Parameters:
        `poolName` - The name of the pool
        `mcp` - The managed connection pool
        `cl` - The connection listener
        `tx` - The transaction
        `success` - Outcome
        `interleaving` - Interleaving flag

    - #### delistConnectionListener

          public static void delistConnectionListener(java.lang.String poolName,
                                                      java.lang.Object mcp,
                                                      java.lang.Object cl,
                                                      java.lang.String tx,
                                                      boolean success,
                                                      boolean rollbacked,
                                                      boolean interleaving)

      Delist connection listener
      Parameters:
        `poolName` - The name of the pool
        `mcp` - The managed connection pool
        `cl` - The connection listener
        `tx` - The transaction
        `success` - Is successful
        `rollbacked` - Is the transaction rollbacked
        `interleaving` - Interleaving flag

    - #### getConnection

          public static void getConnection(java.lang.String poolName,
                                           java.lang.Object mcp,
                                           java.lang.Object cl,
                                           java.lang.Object connection)

      Get connection
      Parameters:
        `poolName` - The name of the pool
        `mcp` - The managed connection pool
        `cl` - The connection listener
        `connection` - The connection

    - #### returnConnection

          public static void returnConnection(java.lang.String poolName,
                                              java.lang.Object mcp,
                                              java.lang.Object cl,
                                              java.lang.Object connection)

      Return connection
      Parameters:
        `poolName` - The name of the pool
        `mcp` - The managed connection pool
        `cl` - The connection listener
        `connection` - The connection

    - #### clearConnection

          public static void clearConnection(java.lang.String poolName,
                                             java.lang.Object mcp,
                                             java.lang.Object cl,
                                             java.lang.Object connection)

      Clear connection
      Parameters:
        `poolName` - The name of the pool
        `mcp` - The managed connection pool
        `cl` - The connection listener
        `connection` - The connection

    - #### exception

          public static void exception(java.lang.String poolName,
                                       java.lang.Object mcp,
                                       java.lang.Object cl,
                                       java.lang.Throwable exception)

      Exception
      Parameters:
        `poolName` - The name of the pool
        `mcp` - The managed connection pool
        `cl` - The connection listener
        `exception` - The exception

    - #### createConnectionListener

          public static void createConnectionListener(java.lang.String poolName,
                                                      java.lang.Object mcp,
                                                      java.lang.Object cl,
                                                      java.lang.Object mc,
                                                      boolean get,
                                                      boolean prefill,
                                                      boolean incrementer,
                                                      java.lang.Throwable callstack)

      Create connection listener
      Parameters:
        `poolName` - The name of the pool
        `mcp` - The managed connection pool
        `cl` - The connection listener
        `mc` - The managed connection
        `get` - A GET operation
        `prefill` - A PREFILL operation
        `incrementer` - An INCREMENTER operation
        `callstack` - The call stack

    - #### destroyConnectionListener

          public static void destroyConnectionListener(java.lang.String poolName,
                                                       java.lang.Object mcp,
                                                       java.lang.Object cl,
                                                       boolean ret,
                                                       boolean idle,
                                                       boolean invalid,
                                                       boolean flush,
                                                       boolean error,
                                                       boolean prefill,
                                                       boolean incrementer,
                                                       java.lang.Throwable callstack)

      Destroy connection listener
      Parameters:
        `poolName` - The name of the pool
        `mcp` - The managed connection pool
        `cl` - The connection listener
        `ret` - A RETURN operation
        `idle` - An IDLE operation
        `invalid` - An INVALID operation
        `flush` - A FLUSH operation
        `error` - An ERROR operation
        `prefill` - A PREFILL operation
        `incrementer` - An INCREMENTER operation
        `callstack` - The call stack

    - #### createManagedConnectionPool

          public static void createManagedConnectionPool(java.lang.String poolName,
                                                         java.lang.Object mcp)

      Create managed connection pool
      Parameters:
        `poolName` - The name of the pool
        `mcp` - The managed connection pool

    - #### destroyManagedConnectionPool

          public static void destroyManagedConnectionPool(java.lang.String poolName,
                                                          java.lang.Object mcp)

      Destroy managed connection pool
      Parameters:
        `poolName` - The name of the pool
        `mcp` - The managed connection pool

    - #### pushCCMContext

          public static void pushCCMContext(java.lang.String key,
                                            java.lang.Throwable callstack)

      Push CCM context
      Parameters:
        `key` - The frame key
        `callstack` - The call stack

    - #### popCCMContext

          public static void popCCMContext(java.lang.String key,
                                           java.lang.Throwable callstack)

      Pop CCM context
      Parameters:
        `key` - The frame key
        `callstack` - The call stack

    - #### registerCCMConnection

          public static void registerCCMConnection(java.lang.String poolName,
                                                   java.lang.Object mcp,
                                                   java.lang.Object cl,
                                                   java.lang.Object connection,
                                                   java.lang.String key)

      Register CCM connection
      Parameters:
        `poolName` - The name of the pool
        `mcp` - The managed connection pool
        `cl` - The connection listener
        `connection` - The connection
        `key` - The frame key

    - #### unregisterCCMConnection

          public static void unregisterCCMConnection(java.lang.String poolName,
                                                     java.lang.Object mcp,
                                                     java.lang.Object cl,
                                                     java.lang.Object connection,
                                                     java.lang.String key)

      Unregister CCM connection
      Parameters:
        `poolName` - The name of the pool
        `mcp` - The managed connection pool
        `cl` - The connection listener
        `connection` - The connection
        `key` - The frame key

    - #### unknownCCMConnection

          public static void unknownCCMConnection(java.lang.String poolName,
                                                  java.lang.Object mcp,
                                                  java.lang.Object cl,
                                                  java.lang.Object connection,
                                                  java.lang.String key)

      Unknown CCM connection
      Parameters:
        `poolName` - The name of the pool
        `mcp` - The managed connection pool
        `cl` - The connection listener
        `connection` - The connection
        `key` - The frame key

    - #### closeCCMConnection

          public static void closeCCMConnection(java.lang.String poolName,
                                                java.lang.Object mcp,
                                                java.lang.Object cl,
                                                java.lang.Object connection,
                                                java.lang.String key)

      Close CCM connection
      Parameters:
        `poolName` - The name of the pool
        `mcp` - The managed connection pool
        `cl` - The connection listener
        `connection` - The connection
        `key` - The frame key

    - #### ccmUserTransaction

          public static void ccmUserTransaction(java.lang.String poolName,
                                                java.lang.Object mcp,
                                                java.lang.Object cl,
                                                java.lang.Object connection,
                                                java.lang.String key)

      CCM user transaction
      Parameters:
        `poolName` - The name of the pool
        `mcp` - The managed connection pool
        `cl` - The connection listener
        `connection` - The connection
        `key` - The frame key

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)